BEGIN;
        CREATE TABLE applicationInfo
        (
                app_name text NOT NULL unique,
                app_id text NOT NULL,
                redirect_uri text NOT NULL,
                app_domain text NOT NULL,
                PRIMARY KEY (app_id)
        );
        CREATE TABLE accessToken
        (
                user_name text NOT NULL,
                app_id text NOT NULL,
                access_token text NOT NULL,
                scope text NOT NULL,
                create_time integer NOT NULL,
                PRIMARY KEY (access_token),
                FOREIGN KEY (app_id) REFERENCES applicationInfo(app_id)
        );
        CREATE TABLE ssoSession
        (
                user_name text NOT NULL,
                sso_session_id text NOT NULL,
                create_time integer NOT NULL,
                browser_type text NOT NULL,
                remote_addr text NOT NULL,
                PRIMARY KEY (sso_session_id)
        );
END;
